<?xml version='1.0' encoding='UTF-8'?>
<!-- Created by Charles Hoffman, CPA, 2008-03-27 -->
<xsl:stylesheet version='1.0' xmlns:xsl='http://www.w3.org/1999/XSL/Transform'
    xmlns:xbrli='http://www.xbrl.org/2003/instance'
    xmlns:xbrldi="http://xbrl.org/2006/xbrldi" 
    xmlns:pattern='http://xbrls.org/2008/xbrls/metapattern/combined'
    >
<xsl:output method='xml' indent='yes' />
<xsl:decimal-format name='base' decimal-separator='.' grouping-separator=',' minus-sign='-' />

<xsl:template match='/'>
<xsl:comment>Autogenerated by XSLT stylesheet</xsl:comment>
<xsl:comment> Created by Charles Hoffman, CPA, UBmatrix: 2008-03-27 </xsl:comment>
<fo:root xmlns:fo="http://www.w3.org/1999/XSL/Format" font-family="sans-serif" font-size="10pt" text-align="left" display-align="before">

<fo:layout-master-set>
          <fo:simple-page-master page-height="11in" page-width="8.5in" margin-top=".75in" margin-left="1in" margin-right=".8in" margin-bottom=".75in" master-name="PageMaster">
            <fo:region-before border-style="none" border-width="thin" extent="10mm"/>
            <fo:region-body border-style="none" border-width="thin" margin-top="0mm" margin-left="0mm" margin-right="0mm" margin-bottom="10mm"/>
            <fo:region-after border-style="none" border-width="thin" extent=".5in"/>
          </fo:simple-page-master>
</fo:layout-master-set>


<!-- Calculation -->
<fo:page-sequence master-reference="PageMaster">
  <fo:static-content flow-name="xsl-region-after">
     <fo:block text-align="left" font-size="8pt">
         The accompanying notes form an integral part of the consolidated financial statements.
     </fo:block>     
    <fo:block text-align="right">
      <fo:page-number /> 
    </fo:block>
  </fo:static-content>
  <fo:flow flow-name="xsl-region-body">
     <fo:block font-size="16pt" color='navy' font-weight="bold" text-align='center' border-bottom-width="1pt" border-bottom-style="solid" border-color="navy">
         Calculation 
     </fo:block>
     
     <fo:block font-size="12pt" font-weight="bold" space-before="15mm" space-after="0mm">
          Sample Company
     </fo:block>
     <fo:block font-size="12pt" font-weight="bold" space-before="0mm" space-after="0mm">
          December 31,
     </fo:block>     
     <fo:block font-size="12pt" font-weight="bold" space-before="0mm" space-after="15mm">
          (thousands of dollars)
     </fo:block>     
     <fo:table table-layout='fixed'>
        <fo:table-column column-width="325pt"/>
        <fo:table-column column-width="75pt"/>
        <fo:table-column column-width="75pt"/>
        <fo:table-body border-color="black">
           <fo:table-row font-weight="bold" text-align='right'>
              <fo:table-cell><fo:block> </fo:block></fo:table-cell>
              <fo:table-cell><fo:block border-bottom-width=".5pt" border-bottom-style="solid">2007</fo:block></fo:table-cell>
              <fo:table-cell><fo:block border-bottom-width=".5pt" border-bottom-style="solid">2006</fo:block></fo:table-cell>
           </fo:table-row>
           <fo:table-row>
              <fo:table-cell number-columns-spanned="3"><fo:block font-weight="bold" space-before="5mm">ASSETS</fo:block></fo:table-cell>
           </fo:table-row>
           <fo:table-row>
              <fo:table-cell number-columns-spanned="3"><fo:block font-weight="bold" space-before="5mm">Property, Plant, and Equipment, Net</fo:block></fo:table-cell>
           </fo:table-row>
           <fo:table-row>
             <fo:table-cell>
                <fo:block text-align='left'>Land</fo:block>
             </fo:table-cell>
             <fo:table-cell>
                <fo:block text-align='right'><xsl:value-of select="format-number(/xbrli:xbrl/pattern:Land[@contextRef='I-2007'] div 1000,'#,##0','base')" /></fo:block>
             </fo:table-cell>
             <fo:table-cell>
                <fo:block text-align='right'><xsl:value-of select="format-number(/xbrli:xbrl/pattern:Land[@contextRef='I-2006'] div 1000,'#,##0','base')" /></fo:block>
             </fo:table-cell>
           </fo:table-row>
           <fo:table-row>
             <fo:table-cell>
                <fo:block text-align='left'>Buildings, Net</fo:block>
             </fo:table-cell>
             <fo:table-cell>
                <fo:block text-align='right'><xsl:value-of select="format-number(/xbrli:xbrl/pattern:BuildingsNet[@contextRef='I-2007'] div 1000,'#,##0','base')" /></fo:block>
             </fo:table-cell>
             <fo:table-cell>
                <fo:block text-align='right'><xsl:value-of select="format-number(/xbrli:xbrl/pattern:BuildingsNet[@contextRef='I-2006'] div 1000,'#,##0','base')" /></fo:block>
             </fo:table-cell>
           </fo:table-row>
           <fo:table-row>
             <fo:table-cell>
                <fo:block text-align='left'>Furniture and Fixtures, Net:</fo:block>
             </fo:table-cell>
             <fo:table-cell>
                <fo:block text-align='right'> </fo:block>
             </fo:table-cell>
             <fo:table-cell>
                <fo:block text-align='right'> </fo:block>
             </fo:table-cell>
           </fo:table-row>
           <fo:table-row>
             <fo:table-cell>
                <fo:block text-align='left' text-indent='3mm'>Furniture, Net</fo:block>
             </fo:table-cell>
             <fo:table-cell>
                <fo:block text-align='right'><xsl:value-of select="format-number(/xbrli:xbrl/pattern:FurnitureNet[@contextRef='I-2007'] div 1000,'#,##0','base')" /></fo:block>
             </fo:table-cell>
             <fo:table-cell>
                <fo:block text-align='right'><xsl:value-of select="format-number(/xbrli:xbrl/pattern:FurnitureNet[@contextRef='I-2006'] div 1000,'#,##0','base')" /></fo:block>
             </fo:table-cell>
           </fo:table-row>
           <fo:table-row>
             <fo:table-cell>
                <fo:block text-align='left' text-indent='3mm'>Fixtures, Net</fo:block>
             </fo:table-cell>
             <fo:table-cell>
                <fo:block text-align='right' border-bottom-width=".5pt" border-bottom-style="solid"><xsl:value-of select="format-number(/xbrli:xbrl/pattern:FixturesNet[@contextRef='I-2007'] div 1000,'#,##0','base')" /></fo:block>
             </fo:table-cell>
             <fo:table-cell>
                <fo:block text-align='right' border-bottom-width=".5pt" border-bottom-style="solid"><xsl:value-of select="format-number(/xbrli:xbrl/pattern:FixturesNet[@contextRef='I-2006'] div 1000,'#,##0','base')" /></fo:block>
             </fo:table-cell>
           </fo:table-row>
           <fo:table-row>
             <fo:table-cell>
                <fo:block text-align='left' text-indent='3mm'>Furniture and Fixtures, Net, Total</fo:block>
             </fo:table-cell>
             <fo:table-cell>
                <fo:block text-align='right' border-bottom-width=".5pt" border-bottom-style="solid"><xsl:value-of select="format-number(/xbrli:xbrl/pattern:FurnitureAndFixturesNet[@contextRef='I-2007'] div 1000,'#,##0','base')" /></fo:block>
             </fo:table-cell>
             <fo:table-cell>
                <fo:block text-align='right' border-bottom-width=".5pt" border-bottom-style="solid"><xsl:value-of select="format-number(/xbrli:xbrl/pattern:FurnitureAndFixturesNet[@contextRef='I-2006'] div 1000,'#,##0','base')" /></fo:block>
             </fo:table-cell>
           </fo:table-row>
           <fo:table-row>
             <fo:table-cell>
                <fo:block text-align='left' space-before="0mm">Computer Equipment, Net</fo:block>
             </fo:table-cell>
             <fo:table-cell>
                <fo:block text-align='right' space-before="0mm"><xsl:value-of select="format-number(/xbrli:xbrl/pattern:ComputerEquipmentNet[@contextRef='I-2007'] div 1000,'#,##0','base')" /></fo:block>
             </fo:table-cell>
             <fo:table-cell>
                <fo:block text-align='right' space-before="0mm"><xsl:value-of select="format-number(/xbrli:xbrl/pattern:ComputerEquipmentNet[@contextRef='I-2006'] div 1000,'#,##0','base')" /></fo:block>
             </fo:table-cell>
           </fo:table-row>
           <fo:table-row>
             <fo:table-cell>
                <fo:block text-align='left'>Other Property, Plant, and Equipment, Net</fo:block>
             </fo:table-cell>
             <fo:table-cell>
                <fo:block text-align='right' border-bottom-width=".5pt" border-bottom-style="solid" border-color="black"><xsl:value-of select="format-number(/xbrli:xbrl/pattern:OtherPropertyPlantAndEquipmentNet[@contextRef='I-2007'] div 1000,'#,##0','base')" /></fo:block>
             </fo:table-cell>
             <fo:table-cell>
                <fo:block text-align='right' border-bottom-width=".5pt" border-bottom-style="solid" border-color="black"><xsl:value-of select="format-number(/xbrli:xbrl/pattern:OtherPropertyPlantAndEquipmentNet[@contextRef='I-2006'] div 1000,'#,##0','base')" /></fo:block>
             </fo:table-cell>
           </fo:table-row>
           <fo:table-row>
             <fo:table-cell>
                <fo:block text-align='right' space-before="5mm">Total</fo:block>
             </fo:table-cell>
             <fo:table-cell>
                <fo:block space-before="5mm" text-align='right' border-bottom-width="2pt" border-bottom-style="solid"><xsl:value-of select="format-number(/xbrli:xbrl/pattern:PropertyPlantAndEquipmentNet[@contextRef='I-2007'] div 1000,'#,##0','base')" /></fo:block>
             </fo:table-cell>
             <fo:table-cell>
                <fo:block space-before="5mm" text-align='right' border-bottom-width="2pt" border-bottom-style="solid"><xsl:value-of select="format-number(/xbrli:xbrl/pattern:PropertyPlantAndEquipmentNet[@contextRef='I-2006'] div 1000,'#,##0','base')" /></fo:block>
             </fo:table-cell>
           </fo:table-row>
       </fo:table-body>
    </fo:table> 
  </fo:flow>
</fo:page-sequence>

<!-- Accounting Policies (Hierarchy) -->
<fo:page-sequence master-reference="PageMaster">
  <fo:static-content flow-name="xsl-region-after">
     <fo:block text-align="left" font-size="8pt">
         The accompanying notes form an integral part of the consolidated financial statements.
     </fo:block>     
    <fo:block text-align="right">
      <fo:page-number /> 
    </fo:block>
  </fo:static-content>
  <fo:flow flow-name="xsl-region-body">
     <fo:block font-size="16pt" color='navy' font-weight="bold" text-align='center' border-bottom-width="1pt" border-bottom-style="solid" border-color="navy">
         Hierarchy
     </fo:block>
     
     <fo:block font-size="12pt" font-weight="bold" space-before="15mm" space-after="0mm">
          Sample Company
     </fo:block>
     <fo:block font-size="12pt" font-weight="bold" space-before="0mm" space-after="15mm">
          December 31,
     </fo:block>     
     <fo:block font-size="12pt" font-weight="bold" space-before="0mm" space-after="5mm">
          Accounting Policies
     </fo:block>     
     <fo:block space-before="0mm" space-after="4mm">
        <xsl:value-of select="/xbrli:xbrl/pattern:BasisOfPresentationTextBlock[@contextRef='D-2007']" />
     </fo:block>     
     <fo:block font-weight="bold" space-before="0mm" space-after="0mm">
          Inventories
     </fo:block>     
     <fo:block space-before="0mm" space-after="4mm">
        <xsl:value-of select="/xbrli:xbrl/pattern:InventoryPolicyTextBlock[@contextRef='D-2007']" />
     </fo:block>     
     <fo:block font-weight="bold" space-before="0mm" space-after="0mm">
          Financial Instruments
     </fo:block>     
     <fo:block space-before="0mm" space-after="4mm">
        <xsl:value-of select="/xbrli:xbrl/pattern:FinancialInstrumentsPolicyTextBlock[@contextRef='D-2007']" />
     </fo:block>     
     <fo:block font-weight="bold" space-before="0mm" space-after="0mm" start-indent="7mm" text-decoration="underline">
          Trade receivables
     </fo:block>     
     <fo:block space-before="0mm" space-after="4mm">
        <xsl:value-of select="/xbrli:xbrl/pattern:TradeReceivablesPolicy[@contextRef='D-2007']" />
     </fo:block>     
     <fo:block font-weight="bold" space-before="0mm" space-after="0mm" start-indent="7mm" text-decoration="underline">
          Investments in securities
     </fo:block>     
     <fo:block space-before="0mm" space-after="4mm">
        <xsl:value-of select="/xbrli:xbrl/pattern:InvestmentsInSecuritiesPolicy[@contextRef='D-2007']" />
     </fo:block>     
     <fo:block font-weight="bold" space-before="0mm" space-after="0mm" start-indent="7mm" text-decoration="underline">
          Bank borrowings
     </fo:block>     
     <fo:block space-before="0mm" space-after="4mm">
        <xsl:value-of select="/xbrli:xbrl/pattern:BankBorrowingsPolicy[@contextRef='D-2007']" />
     </fo:block>     
     <fo:block font-weight="bold" space-before="0mm" space-after="0mm">
          Provisions
     </fo:block>     
     <fo:block space-before="0mm" space-after="4mm">
        <xsl:value-of select="/xbrli:xbrl/pattern:ProvisionsPolicy[@contextRef='D-2007']" />
     </fo:block>     
  </fo:flow>
</fo:page-sequence>









<!-- Movement (Roll Foward) -->
<fo:page-sequence master-reference="PageMaster">
  <fo:static-content flow-name="xsl-region-after">
     <fo:block text-align="left" font-size="8pt">
         The accompanying notes form an integral part of the consolidated financial statements.
     </fo:block>     
    <fo:block text-align="right">
      <fo:page-number /> 
    </fo:block>
  </fo:static-content>
  <fo:flow flow-name="xsl-region-body">
     <fo:block font-size="16pt" color='navy' font-weight="bold" text-align='center' border-bottom-width="1pt" border-bottom-style="solid" border-color="navy">
         Movement (Roll Foward) 
     </fo:block>
     
     <fo:block font-size="12pt" font-weight="bold" space-before="15mm" space-after="0mm">
          Sample Company
     </fo:block>
     <fo:block font-size="12pt" font-weight="bold" space-before="0mm" space-after="0mm">
          December 31,
     </fo:block>     
     <fo:block font-size="12pt" font-weight="bold" space-before="0mm" space-after="15mm">
          (thousands of dollars)
     </fo:block>     
     <fo:table table-layout='fixed'>
        <fo:table-column column-width="325pt"/>
        <fo:table-column column-width="75pt"/>
        <fo:table-column column-width="75pt"/>
        <fo:table-body border-color="black">
           <fo:table-row font-weight="bold" text-align='right'>
              <fo:table-cell><fo:block> </fo:block></fo:table-cell>
              <fo:table-cell><fo:block border-bottom-width=".5pt" border-bottom-style="solid">2007</fo:block></fo:table-cell>
              <fo:table-cell><fo:block border-bottom-width=".5pt" border-bottom-style="solid">2006</fo:block></fo:table-cell>
           </fo:table-row>
           <fo:table-row>
              <fo:table-cell number-columns-spanned="3"><fo:block font-weight="bold" space-before="5mm" space-after="5mm">Movement in Land</fo:block></fo:table-cell>
           </fo:table-row>
           <fo:table-row>
             <fo:table-cell>
                <fo:block text-align='left'>Land, Beginning Balance</fo:block>
             </fo:table-cell>
             <fo:table-cell>
                <fo:block text-align='right'><xsl:value-of select="format-number(/xbrli:xbrl/pattern:Land[@contextRef='I-2006'] div 1000,'#,##0','base')" /></fo:block>
             </fo:table-cell>
             <fo:table-cell>
                <fo:block text-align='right'><xsl:value-of select="format-number(/xbrli:xbrl/pattern:Land[@contextRef='I-2005'] div 1000,'#,##0','base')" /></fo:block>
             </fo:table-cell>
           </fo:table-row>
           <fo:table-row>
             <fo:table-cell>
                <fo:block text-align='left'>Additions:</fo:block>
             </fo:table-cell>
             <fo:table-cell>
                <fo:block text-align='right'> </fo:block>
             </fo:table-cell>
             <fo:table-cell>
                <fo:block text-align='right'> </fo:block>
             </fo:table-cell>
           </fo:table-row>
           <fo:table-row>
             <fo:table-cell>
                <fo:block text-align='left' text-indent='3mm'>Additions, from Purchase</fo:block>
             </fo:table-cell>
             <fo:table-cell>
                <fo:block text-align='right'><xsl:value-of select="format-number(/xbrli:xbrl/pattern:LandAdditionsFromPurchase[@contextRef='D-2007'] div 1000,'#,##0','base')" /></fo:block>
             </fo:table-cell>
             <fo:table-cell>
                <fo:block text-align='right'><xsl:value-of select="format-number(/xbrli:xbrl/pattern:LandAdditionsFromPurchase[@contextRef='D-2006'] div 1000,'#,##0','base')" /></fo:block>
             </fo:table-cell>
           </fo:table-row>
           <fo:table-row>
             <fo:table-cell>
                <fo:block text-align='left' text-indent='3mm'>Additions, from Acquisition</fo:block>
             </fo:table-cell>
             <fo:table-cell>
                <fo:block text-align='right' border-bottom-width=".5pt" border-bottom-style="solid"><xsl:value-of select="format-number(/xbrli:xbrl/pattern:LandAdditionsFromAcquisition[@contextRef='D-2007'] div 1000,'#,##0','base')" /></fo:block>
             </fo:table-cell>
             <fo:table-cell>
                <fo:block text-align='right' border-bottom-width=".5pt" border-bottom-style="solid"><xsl:value-of select="format-number(/xbrli:xbrl/pattern:LandAdditionsFromAcquisition[@contextRef='D-2006'] div 1000,'#,##0','base')" /></fo:block>
             </fo:table-cell>
           </fo:table-row>
           <fo:table-row>
             <fo:table-cell>
                <fo:block text-align='left' text-indent='3mm'>Additions, Total</fo:block>
             </fo:table-cell>
             <fo:table-cell>
                <fo:block text-align='right' border-bottom-width=".5pt" border-bottom-style="solid"><xsl:value-of select="format-number(/xbrli:xbrl/pattern:LandAdditions[@contextRef='D-2007'] div 1000,'#,##0','base')" /></fo:block>
             </fo:table-cell>
             <fo:table-cell>
                <fo:block text-align='right' border-bottom-width=".5pt" border-bottom-style="solid"><xsl:value-of select="format-number(/xbrli:xbrl/pattern:LandAdditions[@contextRef='D-2006'] div 1000,'#,##0','base')" /></fo:block>
             </fo:table-cell>
           </fo:table-row>
           <fo:table-row>
             <fo:table-cell>
                <fo:block text-align='left'>Disposals</fo:block>
             </fo:table-cell>
             <fo:table-cell>
                <fo:block text-align='right'><xsl:value-of select="format-number(/xbrli:xbrl/pattern:LandDisposals[@contextRef='D-2007'] div -1000,'#,##0','base')" /></fo:block>
             </fo:table-cell>
             <fo:table-cell>
                <fo:block text-align='right'><xsl:value-of select="format-number(/xbrli:xbrl/pattern:LandDisposals[@contextRef='D-2006'] div -1000,'#,##0','base')" /></fo:block>
             </fo:table-cell>
           </fo:table-row>
           <fo:table-row>
             <fo:table-cell>
                <fo:block text-align='left'>Translation difference</fo:block>
             </fo:table-cell>
             <fo:table-cell>
                <fo:block text-align='right' border-bottom-width=".5pt" border-bottom-style="solid" border-color="black"><xsl:value-of select="format-number(/xbrli:xbrl/pattern:LandTranslationDifference[@contextRef='D-2007'] div 1000,'#,##0','base')" /></fo:block>
             </fo:table-cell>
             <fo:table-cell>
                <fo:block text-align='right' border-bottom-width=".5pt" border-bottom-style="solid" border-color="black"><xsl:value-of select="format-number(/xbrli:xbrl/pattern:LandTranslationDifference[@contextRef='D-2006'] div 1000,'#,##0','base')" /></fo:block>
             </fo:table-cell>
           </fo:table-row>
           <fo:table-row>
             <fo:table-cell>
                <fo:block text-align='left' space-before="5mm">Land, Ending Balance</fo:block>
             </fo:table-cell>
             <fo:table-cell>
                <fo:block space-before="5mm" text-align='right' border-bottom-width="2pt" border-bottom-style="solid"><xsl:value-of select="format-number(/xbrli:xbrl/pattern:Land[@contextRef='I-2007'] div 1000,'#,##0','base')" /></fo:block>
             </fo:table-cell>
             <fo:table-cell>
                <fo:block space-before="5mm" text-align='right' border-bottom-width="2pt" border-bottom-style="solid"><xsl:value-of select="format-number(/xbrli:xbrl/pattern:Land[@contextRef='I-2006'] div 1000,'#,##0','base')" /></fo:block>
             </fo:table-cell>
           </fo:table-row>
       </fo:table-body>
    </fo:table> 
  </fo:flow>
</fo:page-sequence>



<!-- Sales Analysis -->
<fo:page-sequence master-reference="PageMaster">
  <fo:static-content flow-name="xsl-region-after">
     <fo:block text-align="left" font-size="8pt">
         The accompanying notes form an integral part of the consolidated financial statements.
     </fo:block>     
    <fo:block text-align="right">
      <fo:page-number /> 
    </fo:block>
  </fo:static-content>
  <fo:flow flow-name="xsl-region-body">
     <fo:block font-size="16pt" color='navy' font-weight="bold" text-align='center' border-bottom-width="1pt" border-bottom-style="solid" border-color="navy">
         Schedule (aka Hypercube, Table)
     </fo:block>
     
     <fo:block font-size="12pt" font-weight="bold" space-before="15mm" space-after="0mm">
          Sample Company
     </fo:block>
     <fo:block font-size="12pt" font-weight="bold" space-before="0mm" space-after="0mm">
          For Period Ending December 31,
     </fo:block>     
     <fo:block font-size="12pt" font-weight="bold" space-before="0mm" space-after="3mm">
          (thousands of dollars)
     </fo:block>     
     <fo:table table-layout='fixed'>
        <fo:table-column column-width="250pt"/>
        <fo:table-column column-width="75pt"/>
        <fo:table-column column-width="75pt"/>
        <fo:table-column column-width="75pt"/>
        <fo:table-body border-color="black">
           <fo:table-row font-weight="bold" text-align='right'>
              <fo:table-cell><fo:block> </fo:block></fo:table-cell>
              <fo:table-cell><fo:block border-bottom-width=".5pt" border-bottom-style="solid" space-after="5mm">2007</fo:block></fo:table-cell>
              <fo:table-cell><fo:block border-bottom-width=".5pt" border-bottom-style="solid" space-after="5mm">2006</fo:block></fo:table-cell>
              <fo:table-cell><fo:block border-bottom-width=".5pt" border-bottom-style="solid" space-after="5mm">2005</fo:block></fo:table-cell>
           </fo:table-row>
           <fo:table-row>
             <fo:table-cell>
                <fo:block text-align='left'>Sales, all Segments, all Regions</fo:block>
             </fo:table-cell>
             <fo:table-cell>
                <fo:block text-align='right' border-bottom-width=".5pt" border-bottom-style="solid" space-after="5mm"><xsl:value-of select="format-number(/xbrli:xbrl/pattern:Sales[@contextRef='D-2007-All'] div 1000,'#,##0','base')" /></fo:block>
             </fo:table-cell>
             <fo:table-cell>
                <fo:block text-align='right' border-bottom-width=".5pt" border-bottom-style="solid" space-after="5mm"><xsl:value-of select="format-number(/xbrli:xbrl/pattern:Sales[@contextRef='D-2006-All'] div 1000,'#,##0','base')" /></fo:block>
             </fo:table-cell>
             <fo:table-cell>
                <fo:block text-align='right' border-bottom-width=".5pt" border-bottom-style="solid" space-after="5mm"><xsl:value-of select="format-number(/xbrli:xbrl/pattern:Sales[@contextRef='D-2005-All'] div 1000,'#,##0','base')" /></fo:block>
             </fo:table-cell>
           </fo:table-row>

           <fo:table-row font-weight="bold" text-align='left'>
              <fo:table-cell><fo:block space-before="5mm">Breakdown by Segment:</fo:block></fo:table-cell>
              <fo:table-cell><fo:block space-before="5mm"> </fo:block></fo:table-cell>
              <fo:table-cell><fo:block space-before="5mm"> </fo:block></fo:table-cell>
           </fo:table-row>
           <fo:table-row>
             <fo:table-cell>
                <fo:block text-align='left'>Pharmaceuticals</fo:block>
             </fo:table-cell>
             <fo:table-cell>
                <fo:block text-align='right'><xsl:value-of select="format-number(/xbrli:xbrl/pattern:Sales[@contextRef='D-2007-Pharm'] div 1000,'#,##0','base')" /></fo:block>
             </fo:table-cell>
             <fo:table-cell>
                <fo:block text-align='right'><xsl:value-of select="format-number(/xbrli:xbrl/pattern:Sales[@contextRef='D-2006-Pharm'] div 1000,'#,##0','base')" /></fo:block>
             </fo:table-cell>
             <fo:table-cell>
                <fo:block text-align='right'><xsl:value-of select="format-number(/xbrli:xbrl/pattern:Sales[@contextRef='D-2005-Pharm'] div 1000,'#,##0','base')" /></fo:block>
             </fo:table-cell>
           </fo:table-row>
           <fo:table-row>
             <fo:table-cell>
                <fo:block text-align='left'>Generics</fo:block>
             </fo:table-cell>
             <fo:table-cell>
                <fo:block text-align='right'><xsl:value-of select="format-number(/xbrli:xbrl/pattern:Sales[@contextRef='D-2007-Gen'] div 1000,'#,##0','base')" /></fo:block>
             </fo:table-cell>
             <fo:table-cell>
                <fo:block text-align='right'><xsl:value-of select="format-number(/xbrli:xbrl/pattern:Sales[@contextRef='D-2006-Gen'] div 1000,'#,##0','base')" /></fo:block>
             </fo:table-cell>
             <fo:table-cell>
                <fo:block text-align='right'><xsl:value-of select="format-number(/xbrli:xbrl/pattern:Sales[@contextRef='D-2005-Gen'] div 1000,'#,##0','base')" /></fo:block>
             </fo:table-cell>
           </fo:table-row>
           <fo:table-row>
             <fo:table-cell>
                <fo:block text-align='left'>Consumer Health</fo:block>
             </fo:table-cell>
             <fo:table-cell>
                <fo:block text-align='right'><xsl:value-of select="format-number(/xbrli:xbrl/pattern:Sales[@contextRef='D-2007-ConHealth'] div 1000,'#,##0','base')" /></fo:block>
             </fo:table-cell>
             <fo:table-cell>
                <fo:block text-align='right'><xsl:value-of select="format-number(/xbrli:xbrl/pattern:Sales[@contextRef='D-2006-ConHealth'] div 1000,'#,##0','base')" /></fo:block>
             </fo:table-cell>
             <fo:table-cell>
                <fo:block text-align='right'><xsl:value-of select="format-number(/xbrli:xbrl/pattern:Sales[@contextRef='D-2005-ConHealth'] div 1000,'#,##0','base')" /></fo:block>
             </fo:table-cell>
           </fo:table-row>
           <fo:table-row>
             <fo:table-cell>
                <fo:block text-align='left'>Other Segments</fo:block>
             </fo:table-cell>
             <fo:table-cell>
                <fo:block text-align='right'><xsl:value-of select="format-number(/xbrli:xbrl/pattern:Sales[@contextRef='D-2007-OtherSeg'] div 1000,'#,##0','base')" /></fo:block>
             </fo:table-cell>
             <fo:table-cell>
                <fo:block text-align='right'><xsl:value-of select="format-number(/xbrli:xbrl/pattern:Sales[@contextRef='D-2006-OtherSeg'] div 1000,'#,##0','base')" /></fo:block>
             </fo:table-cell>
             <fo:table-cell>
                <fo:block text-align='right'><xsl:value-of select="format-number(/xbrli:xbrl/pattern:Sales[@contextRef='D-2005-OtherSeg'] div 1000,'#,##0','base')" /></fo:block>
             </fo:table-cell>
           </fo:table-row>

           <fo:table-row font-weight="bold" text-align='left'>
              <fo:table-cell><fo:block space-before="5mm">Breakdown by Region:</fo:block></fo:table-cell>
              <fo:table-cell><fo:block space-before="5mm"> </fo:block></fo:table-cell>
              <fo:table-cell><fo:block space-before="5mm"> </fo:block></fo:table-cell>
           </fo:table-row>
           <fo:table-row>
             <fo:table-cell>
                <fo:block text-align='left'>US and Canada</fo:block>
             </fo:table-cell>
             <fo:table-cell>
                <fo:block text-align='right'><xsl:value-of select="format-number(/xbrli:xbrl/pattern:Sales[@contextRef='D-2007-US'] div 1000,'#,##0','base')" /></fo:block>
             </fo:table-cell>
             <fo:table-cell>
                <fo:block text-align='right'><xsl:value-of select="format-number(/xbrli:xbrl/pattern:Sales[@contextRef='D-2006-US'] div 1000,'#,##0','base')" /></fo:block>
             </fo:table-cell>
             <fo:table-cell>
                <fo:block text-align='right'><xsl:value-of select="format-number(/xbrli:xbrl/pattern:Sales[@contextRef='D-2005-US'] div 1000,'#,##0','base')" /></fo:block>
             </fo:table-cell>
           </fo:table-row>
           <fo:table-row>
             <fo:table-cell>
                <fo:block text-align='left'>Europe</fo:block>
             </fo:table-cell>
             <fo:table-cell>
                <fo:block text-align='right'><xsl:value-of select="format-number(/xbrli:xbrl/pattern:Sales[@contextRef='D-2007-Europe'] div 1000,'#,##0','base')" /></fo:block>
             </fo:table-cell>
             <fo:table-cell>
                <fo:block text-align='right'><xsl:value-of select="format-number(/xbrli:xbrl/pattern:Sales[@contextRef='D-2006-Europe'] div 1000,'#,##0','base')" /></fo:block>
             </fo:table-cell>
             <fo:table-cell>
                <fo:block text-align='right'><xsl:value-of select="format-number(/xbrli:xbrl/pattern:Sales[@contextRef='D-2005-Europe'] div 1000,'#,##0','base')" /></fo:block>
             </fo:table-cell>
           </fo:table-row>
           <fo:table-row>
             <fo:table-cell>
                <fo:block text-align='left'>Asia</fo:block>
             </fo:table-cell>
             <fo:table-cell>
                <fo:block text-align='right'><xsl:value-of select="format-number(/xbrli:xbrl/pattern:Sales[@contextRef='D-2007-Asia'] div 1000,'#,##0','base')" /></fo:block>
             </fo:table-cell>
             <fo:table-cell>
                <fo:block text-align='right'><xsl:value-of select="format-number(/xbrli:xbrl/pattern:Sales[@contextRef='D-2006-Asia'] div 1000,'#,##0','base')" /></fo:block>
             </fo:table-cell>
             <fo:table-cell>
                <fo:block text-align='right'><xsl:value-of select="format-number(/xbrli:xbrl/pattern:Sales[@contextRef='D-2005-Asia'] div 1000,'#,##0','base')" /></fo:block>
             </fo:table-cell>
           </fo:table-row>
           <fo:table-row>
             <fo:table-cell>
                <fo:block text-align='left'>Other regions</fo:block>
             </fo:table-cell>
             <fo:table-cell>
                <fo:block text-align='right'><xsl:value-of select="format-number(/xbrli:xbrl/pattern:Sales[@contextRef='D-2007-OtherRegions'] div 1000,'#,##0','base')" /></fo:block>
             </fo:table-cell>
             <fo:table-cell>
                <fo:block text-align='right'><xsl:value-of select="format-number(/xbrli:xbrl/pattern:Sales[@contextRef='D-2006-OtherRegions'] div 1000,'#,##0','base')" /></fo:block>
             </fo:table-cell>
             <fo:table-cell>
                <fo:block text-align='right'><xsl:value-of select="format-number(/xbrli:xbrl/pattern:Sales[@contextRef='D-2005-OtherRegions'] div 1000,'#,##0','base')" /></fo:block>
             </fo:table-cell>
           </fo:table-row>
       </fo:table-body>
    </fo:table> 
  </fo:flow>
</fo:page-sequence>


<fo:page-sequence master-reference="PageMaster">
  <fo:static-content flow-name="xsl-region-after">
     <fo:block text-align="left" font-size="8pt">
         The accompanying notes form an integral part of the consolidated financial statements.
     </fo:block>     
    <fo:block text-align="right">
      <fo:page-number /> 
    </fo:block>
  </fo:static-content>
  <fo:flow flow-name="xsl-region-body">
     <fo:block font-size="16pt" color='navy' font-weight="bold" text-align='center' border-bottom-width="1pt" border-bottom-style="solid" border-color="navy">
         Record (aka Tuple) 
     </fo:block>
     
     <fo:block font-size="12pt" font-weight="bold" space-before="15mm" space-after="0mm">
          Sample Company
     </fo:block>
     <fo:block font-size="12pt" font-weight="bold" space-before="0mm" space-after="15mm">
          For Period Ending December 31, 2007
     </fo:block>     
     <fo:table table-layout='fixed'>
        <fo:table-column column-width="175pt"/>
        <fo:table-column column-width="75pt"/>
        <fo:table-column column-width="75pt"/>
        <fo:table-column column-width="75pt"/>
        <fo:table-column column-width="75pt"/>
        <fo:table-body border-color="black">
           <fo:table-row font-weight="bold" text-align='right' display-align='after'>
              <fo:table-cell><fo:block space-after="5mm" border-bottom-width=".5pt" border-bottom-style="solid" text-align='left'>Director</fo:block></fo:table-cell>
              <fo:table-cell><fo:block space-after="5mm" border-bottom-width=".5pt" border-bottom-style="solid">Salary</fo:block></fo:table-cell>
              <fo:table-cell><fo:block space-after="5mm" border-bottom-width=".5pt" border-bottom-style="solid">Bonus</fo:block></fo:table-cell>
              <fo:table-cell><fo:block space-after="5mm" border-bottom-width=".5pt" border-bottom-style="solid">Director Fee</fo:block></fo:table-cell>
              <fo:table-cell><fo:block space-after="5mm" border-bottom-width=".5pt" border-bottom-style="solid">Options Granted, at Fair Value</fo:block></fo:table-cell>
           </fo:table-row>

           <fo:table-row>
             <fo:table-cell>
                <fo:block text-align='left'><xsl:value-of select="/xbrli:xbrl/xbrli:context[@id='D-2007-John']/xbrli:scenario/xbrldi:explicitMember[@dimension='pattern:DirectorAxis']" /></fo:block>
             </fo:table-cell>
             <fo:table-cell>
                <fo:block text-align='right'><xsl:value-of select="format-number(/xbrli:xbrl/pattern:DirectorSalary[@contextRef='D-2007-John'],'#,##0','base')" /></fo:block>
             </fo:table-cell>
             <fo:table-cell>
                <fo:block text-align='right'><xsl:value-of select="format-number(/xbrli:xbrl/pattern:DirectorBonuses[@contextRef='D-2007-John'],'#,##0','base')" /></fo:block>
             </fo:table-cell>
             <fo:table-cell>
                <fo:block text-align='right'><xsl:value-of select="format-number(/xbrli:xbrl/pattern:DirectorFees[@contextRef='D-2007-John'],'#,##0','base')" /></fo:block>
             </fo:table-cell>
             <fo:table-cell>
                <fo:block text-align='right'><xsl:value-of select="format-number(/xbrli:xbrl/pattern:DirectorOptionsGrantedAtFairValue[@contextRef='D-2007-John'],'#,##0','base')" /></fo:block>
             </fo:table-cell>
           </fo:table-row>

           <fo:table-row>
             <fo:table-cell>
                <fo:block text-align='left'><xsl:value-of select="/xbrli:xbrl/xbrli:context[@id='D-2007-Jane']/xbrli:scenario/xbrldi:explicitMember[@dimension='pattern:DirectorAxis']" /></fo:block>
             </fo:table-cell>
             <fo:table-cell>
                <fo:block text-align='right' border-bottom-width=".5pt" border-bottom-style="solid" border-color="black"><xsl:value-of select="format-number(/xbrli:xbrl/pattern:DirectorSalary[@contextRef='D-2007-Jane'],'#,##0','base')" /></fo:block>
             </fo:table-cell>
             <fo:table-cell>
                <fo:block text-align='right' border-bottom-width=".5pt" border-bottom-style="solid" border-color="black"><xsl:value-of select="format-number(/xbrli:xbrl/pattern:DirectorBonuses[@contextRef='D-2007-Jane'],'#,##0','base')" /></fo:block>
             </fo:table-cell>
             <fo:table-cell>
                <fo:block text-align='right' border-bottom-width=".5pt" border-bottom-style="solid" border-color="black"><xsl:value-of select="format-number(/xbrli:xbrl/pattern:DirectorFees[@contextRef='D-2007-Jane'],'#,##0','base')" /></fo:block>
             </fo:table-cell>
             <fo:table-cell>
                <fo:block text-align='right' border-bottom-width=".5pt" border-bottom-style="solid" border-color="black"><xsl:value-of select="format-number(/xbrli:xbrl/pattern:DirectorOptionsGrantedAtFairValue[@contextRef='D-2007-Jane'],'#,##0','base')" /></fo:block>
             </fo:table-cell>
           </fo:table-row>

           <fo:table-row>
             <fo:table-cell>
                <fo:block text-align='left' space-before="5mm"><xsl:value-of select="/xbrli:xbrl/xbrli:context[@id='D-2007-AllDirectors']/xbrli:scenario/xbrldi:explicitMember[@dimension='pattern:DirectorAxis']" /></fo:block>
             </fo:table-cell>
             <fo:table-cell>
                <fo:block text-align='right' space-before="5mm" border-bottom-width="2pt" border-bottom-style="solid"><xsl:value-of select="format-number(/xbrli:xbrl/pattern:DirectorSalary[@contextRef='D-2007-AllDirectors'],'#,##0','base')" /></fo:block>
             </fo:table-cell>
             <fo:table-cell>
                <fo:block text-align='right' space-before="5mm" border-bottom-width="2pt" border-bottom-style="solid"><xsl:value-of select="format-number(/xbrli:xbrl/pattern:DirectorBonuses[@contextRef='D-2007-AllDirectors'],'#,##0','base')" /></fo:block>
             </fo:table-cell>
             <fo:table-cell>
                <fo:block text-align='right' space-before="5mm" border-bottom-width="2pt" border-bottom-style="solid"><xsl:value-of select="format-number(/xbrli:xbrl/pattern:DirectorFees[@contextRef='D-2007-AllDirectors'],'#,##0','base')" /></fo:block>
             </fo:table-cell>
             <fo:table-cell>
                <fo:block text-align='right' space-before="5mm" border-bottom-width="2pt" border-bottom-style="solid"><xsl:value-of select="format-number(/xbrli:xbrl/pattern:DirectorOptionsGrantedAtFairValue[@contextRef='D-2007-AllDirectors'],'#,##0','base')" /></fo:block>
             </fo:table-cell>
           </fo:table-row>

       </fo:table-body>
    </fo:table> 
  </fo:flow>
</fo:page-sequence>



</fo:root>

</xsl:template>
</xsl:stylesheet>


